org.apache.uima.fit.component

## Class CasFlowController_ImplBase

- java.lang.Object
- - org.apache.uima.flow.FlowController_ImplBase
  - - org.apache.uima.flow.CasFlowController_ImplBase
    - - org.apache.uima.fit.component.CasFlowController_ImplBase

- All Implemented Interfaces:
    org.apache.uima.flow.FlowController

      public abstract class CasFlowController_ImplBase
      extends org.apache.uima.flow.CasFlowController_ImplBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasFlowController_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.uima.fit.internal.ExtendedLogger` | `getLogger()` Get the logger.
    `void` | `initialize(org.apache.uima.flow.FlowControllerContext context)`

    - ### Methods inherited from class org.apache.uima.flow.CasFlowController_ImplBase

      `computeFlow, computeFlow, getRequiredCasInterface, typeSystemInit`

    - ### Methods inherited from class org.apache.uima.flow.FlowController_ImplBase

      `addAnalysisEngines, batchProcessComplete, collectionProcessComplete, destroy, getContext, reconfigure, removeAnalysisEngines`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CasFlowController_ImplBase

          public CasFlowController_ImplBase()

  - ### Method Detail

    - #### getLogger

          public org.apache.uima.fit.internal.ExtendedLogger getLogger()

      Get the logger.
      Returns:
        the logger.

    - #### initialize

          public void initialize(org.apache.uima.flow.FlowControllerContext context)
                          throws org.apache.uima.resource.ResourceInitializationException

      Specified by:
        `initialize` in interface `org.apache.uima.flow.FlowController`
      Overrides:
        `initialize` in class `org.apache.uima.flow.FlowController_ImplBase`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException`

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.